using System;

namespace Vage
{
    class Program
    {
        struct Vaga
        {
            public int d;
            public int u;
        }
        struct Pitanje
        {
            public int l;
            public int r;
            public int x;
        }
        static void Main(string[] args)
        {

            string[] s = Console.ReadLine().Split();

            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);
            Vaga[] vaga = new Vaga[n];
            Pitanje[] pitanje = new Pitanje[m];

            
            for (int i = 0; i < n; i++)
            {
                s = Console.ReadLine().Split();
                vaga[i].d =int.Parse(s[0]);
                vaga[i].u = int.Parse(s[1]);
            }

            for (int i = 0; i < m; i++)
            {
                s = Console.ReadLine().Split();
                pitanje[i].l = int.Parse(s[0]);
                pitanje[i].r = int.Parse(s[1]);
                pitanje[i].x = int.Parse(s[2]);
            }

            for (int i = 0; i < m; i++)
            {
                Console.WriteLine(Resi(vaga, pitanje[i]));
            }

        }
        static int Resi(Vaga[] vaga, Pitanje pitanje)
        {
            int broj = 0;
            while (pitanje.l <= pitanje.r)
            {

                if (pitanje.x >= vaga[pitanje.l-1].d && pitanje.x <= vaga[pitanje.l-1].u) { broj++;}

                pitanje.l++;

            }

            return broj;
        }
    }
}